use 5.006;
use ExtUtils::MakeMaker;

my $rsyncable
  = `gzip --help 2>/dev/null |grep rsyncable >/dev/null && echo ' --rsyncable'`;

# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    'NAME'		=> 'File::Coda',
    'VERSION_FROM'	=> 'Coda.pm', # finds $VERSION
    'PREREQ_PM'		=> {}, # e.g., Module::Name => 1.1

    'ABSTRACT_FROM'     => 'Coda.pm', # retrieve abstract from module
    'AUTHOR'            => 'Jim Meyering <jim@meyering.net>',

    # (only for use by author): README is generated from README.in, so I
    # don't have to maintain the version in two places.  Make sure README
    # is up-to-date before we ship it.
    depend              => { distdir => 'README' },
    dist                => { COMPRESS => 'gzip --no-name --best'. $rsyncable },
);

sub MY::postamble {
    return <<'-';
README:	README.in Makefile
	sed -e "s/__VERSION__/$(VERSION)/" <$< >$@.tmp.$$ && mv -f $@.tmp.$$ $@

-
}
